PHP4 _und_ PHP5

Alles, was PHP betrifft, kann hier besprochen werden.

PHP4 _und_ PHP5

Postby Thovan » 23. March 2006 21:20

Hallo,

ich möchte Apache gleichzeitig mit PHP4- und PHP5-Unterstützung laufen lassen.
Dürfte ja kein Problem sein, wenn eines als Modul und das andere als CGI läuft, oder?

Warum kann man eigentlich nicht beides als Modul einbinden, wenn man jedes Modul mit einer eigenen Datei-Endung verknüpft (zum Beispiel *.php für PHP4- und *.php5 für PHP5-Dateien)?

Wenn ich's wie oben beschrieben (Modul & CGI) mache, wo liegen dann die Unterschiede und was wäre empfehlenswerter für welche PHP-Version?
Thovan
 
Posts: 68
Joined: 15. May 2003 09:26
Location: Leipzig

Postby KingCrunch » 23. March 2006 23:41

Ich bin mir nicht sicher, ob du nicht beides gleichzeitig als Modul laufen kannst. Modul müsste auf jeden Fall schneller sein. Musste dir überlegen, wo du die Performance ansetzen willst
Nicht jeder Fehler ist ein Bug ...
KingCrunch
 
Posts: 1724
Joined: 26. November 2005 19:25

Postby Thovan » 24. March 2006 07:44

KingCrunch wrote:Ich bin mir nicht sicher, ob du nicht beides gleichzeitig als Modul laufen kannst. Modul müsste auf jeden Fall schneller sein. Musste dir überlegen, wo du die Performance ansetzen willst


Ich denke auch, dass es einen Trick gibt beides als Modul einzubinden, aber ich hatte auch mehrmals schon gelesen, dass es nicht geht (weiß bloß nicht mehr wieso)!

Gibt's da nicht noch was, was PHP als CGI nicht kann?
Thovan
 
Posts: 68
Joined: 15. May 2003 09:26
Location: Leipzig

Postby KingCrunch » 24. March 2006 15:29

Es gibt nen paar Sachen, allerdings kann ich nich genau sagen, welche. Da hilft das Manual vermutlich weiter
Nicht jeder Fehler ist ein Bug ...
KingCrunch
 
Posts: 1724
Joined: 26. November 2005 19:25

Postby Knight1 » 21. April 2006 18:28

Thovan wrote:
KingCrunch wrote:Ich bin mir nicht sicher, ob du nicht beides gleichzeitig als Modul laufen kannst. Modul müsste auf jeden Fall schneller sein. Musste dir überlegen, wo du die Performance ansetzen willst


Ich denke auch, dass es einen Trick gibt beides als Modul einzubinden, aber ich hatte auch mehrmals schon gelesen, dass es nicht geht (weiß bloß nicht mehr wieso)!

Gibt's da nicht noch was, was PHP als CGI nicht kann?


Versuche es doch mal verschiedne Dateiendungen an verschiedene PHP-Versionen zu binden. Zum Beispiel .php4 an das PHP4-Modul und .php5 an das PHP5-Modul. Müsstest mal in dem Apachemanual nachschauen wie das genau geht.

Kai aka Knight1
Image
User avatar
Knight1
 
Posts: 310
Joined: 18. October 2003 10:03
Location: Trier
Operating System: Windows 7 Ultimate x64


Return to PHP

Who is online

Users browsing this forum: No registered users and 2 guests